Subject: [Teas] Discussion on Control Plane Considerations for Enhanced VPN (draft-dong-teas-enhanced-vpn-control-plane)

From: Takuya Miyasaka <[email-masked]>
Date: Thu, 7 Nov 2019 10:24:19 +0900

Dear authors of draft-dong-teas-enhanced-vpn-control-plane,

Thanks for introducing this new draft [1] which describes a control 
plane consideration for Enhanced VPN. IMO, this document needs to 
deliver another considerations or technical notes for the way to assign 
a dedicated segment routing SID for a reserved resources on a network node.

Furthermore, as for the distributed control plane (section 3.1), why 
don't you mention the SR-policy 
(draft-ietf-spring-segment-routing-policy)? I think the SR-Policy can be 
a candidate approach for the control plane of Enhanced VPN; especially 
BGP based L3VPN (RFC4364) is utilized for the overlay of Enhanced VPN.

   [1] 
https://datatracker.ietf.org/doc/draft-dong-teas-enhanced-vpn-control-plane/

Regards,
Takuya

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Thu, 7 Nov 2019 02:10:15 +0000

Hi Takuya, 

Thanks a lot for your review and comments. Please see my replies inline with [Jie]:

-----邮件原件-----
发件人: Takuya Miyasaka [mailto:[email-masked]] 
发送时间: 2019年11月7日 9:24
收件人: [email-masked]
抄送: [email-masked]
主题: Discussion on Control Plane Considerations for Enhanced VPN (draft-dong-teas-enhanced-vpn-control-plane)

Thanks for introducing this new draft [1] which describes a control plane consideration for Enhanced VPN. IMO, this document needs to deliver another considerations or technical notes for the way to assign a dedicated segment routing SID for a reserved resources on a network node.

[Jie] Agreed this also needs to be considered. As the current version of this document is generic considerations about control plane, the segment routing specific descriptions are not included yet. In next version we could add some generic descriptions about the assignment and distribution of resource identifiers, and we may add some descriptions about the SR based mechanism.

Furthermore, as for the distributed control plane (section 3.1), why don't you mention the SR-policy (draft-ietf-spring-segment-routing-policy)? I think the SR-Policy can be a candidate approach for the control plane of Enhanced VPN; especially BGP based L3VPN (RFC4364) is utilized for the overlay of Enhanced VPN.

[Jie] Yes, BGP SR policy is part of the control plane for the SR based mechanism, the reason of not mentioning it is the same as the above. Later we could add it as a candidate technology for the SR based mechanism.

Best regards,
Jie

   [1]

Regards,
Takuya

---

From: Takuya Miyasaka <[email-masked]>
Date: Thu, 7 Nov 2019 19:29:59 +0900

Hi Jie,

Thanks for your confirmation. I understood and am looking forward to 
seeing next or future version describing these topics.

Thanks,
Takuya

On 2019/11/07 11:10, Dongjie (Jimmy) wrote:
> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas